Retrieve Roles by UID
Retrieves Roles associated with a specified UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Retrieves Roles associated with a specified UID.
This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Tenant API Key for authentication
In: query
Tenant API Secret for authentication
In: query
Path Parameters
UID of the User
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/manage/account/680fada271a140ebc0716144/role"{
"Roles": [
"Admin",
"User"
]
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The uid is a required parameter."
}{
"ErrorCode": 902,
"Message": "The API secret is unauthorized",
"Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"ErrorCode": 984,
"Message": "Account ID is invalid",
"Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}Retrieve Role Context GET
Retrieves the Role Context for a specified Role. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Unassign Roles by UID DELETE
Removes specified Roles from a User using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.